Introducing the VypressMessenger

VypressMessenger - The High-Tech Solutions for Real-Time Messaging!

Introducing the VypressMessenger 2.0!

VypressMessenger is a tool capable to help you to reduce the distance and save time. If you want to exchange the information with the friends and colleagues operatively and reliable, to correspond in real time via local network or Internet - our program is what you’ve so long searched for and, at last, have found!

Fast messages sending to tens of friends.

VypressMessenger uses all power of modern 32-bit multithreading operational systems for fast multithreading messages sending to several users. In most cases, you can send the message to 100 users as quickly, as to one.

Answer the messages, coming to you

VypressMessenger allows you to answer the incoming messages easily and simply. You can simply and easily quote any fragment of the incoming message. For convenience of reading, the citations are automatically marked by familiar ">" - traditional for Internet "reply" symbol.

Do not leave your friends in loneliness - use AutoAnswer

VypressMessenger allows your friends always be well informed about where you are and what you’re occupied by. You can simply and quickly make VypressMessenger an answer machine, which will accept the messages in your absence and automatically answer them.

Use the Address Book to store and retrieve addresses

You can save names and addresses in your address book either by typing them in, or adding them from messages you receive. With its help, you will never forget addresses, and can protect yourself from undesirable contacts.

No servers! Only you, VypressMessenger and your interlocutor.

Unlike some other similar programs, VypressMessenger transfers the data directly from you to your interlocutor. No servers and services collecting information about you and your actions, any intermediate stops - only you, VypressMessenger and your interlocutor.

We hope, you will like our program!
Thanks for choosing VypressMessenger!
We are glad to answer any your questions.
All your offers on improvement of this program are important for us - write us - vyatkin@usa.net !


Register your copy of VypressMessenger

For more detailed information about registration see Register.txt file in VypressMessenger folder.
For additional information you may contact with us via e-mail - vyatkin@usa.net.


Acknowledgements

We are grateful to our parents for they have given us a chance to get education in the best high schools of Russia (and, probably, the world) for their permanent support and kind advises.

Special thanks to Void Main (Pavel Popov) for his help in fixing some of the lots of spelling errors.


Quick Start

This section describes the simple and quick procedures you must follow in order to begin using VypressMessenger.

VypressMessenger Main Window

At once to begin using VypressMessenger it is necessary to make only five simple steps.

Step 1 Enter in the bottom window text of the message, which you want to send to one or several of the friends. The text of the message can have the length up to 64 kilobytes and may contain any symbols. While sending your AutoSignature will be automatically added to the text of the message, if you switched on this option.

Step 2 Enter in the address line (located on central splitter) or choose from the dropping down list address of the computer, which you want to send the message.
You can also choose group of the addresses from the list, or special group < All Users > (in this case message will be dispatched to all users outside of any groups).
If you want users or groups to appear in the list, it is necessary to enter their addresses in the Address Book.
Besides, you can simply enter some addresses, dividing them by symbol ";" (semicolon).
VypressMessenger uses protocol TCP/IP, therefore you should enter the IP-address of the computer or its name from DNS (if the sense of this phrase is not clear to you, consult your system administrator or more skilled comrades). Besides, in Local Area Networks you can simply write down name of the computer, which you see in "Network Neighborhood".
Step 3 Now press the button "Send Message" and your message will be sent.
If everything was made correct and your addressee is on a network in the current moment with VypressMessenger (or compatible program) started, you will see such a window (if, certainly, you have not turn off in Preferences this option):
Message has been send succesfully!
If you have seen such window, it means that your message WAS GUARANTEED delivered to the addressee (or all addresses). Unlike WinPopup, VypressMessenger makes you always know fore sure, whether your message was received.

If you were not lucky and your addresses (or at least one of the several addresses) is not present in the current moment on a network, or they have not started VypressMessenger, or for any reason the message has not reached them - then you will see a window like this:
Host(s) not found!
Thus, the list of the addresses whom your message has not reached will be given in this window. Check up, possibly you simply have written down incorrect address.
Step 4 In the top window, you can see the messages, coming to you, from your friends and acquaintances.
You can flexibly operate what messages will be displayed in the top window, using the mechanism of a filtration of the messages and Address Book.

The very first line of the message contains date, time and day of week, when the message was received.
If the man who has sent the message to you uses exactly VypressMessenger, the second line of the message contains the information about from and to whom (to you or group of the persons) message was sent. This line begins with words "Message from", if the message was sent by the man manually, or with "AutoAnswer from", if it is the text of autoanswer.

Step 5 At last, you can pass from one message to another and delete the current message with the help of buttons on the toolbar.

Here we have described only most simple and necessary features of VypressMessenger. Certainly, you have enough for use the program – but by studying the documentation closely, you can optimize VypressMessenger on your own tastes and requirement, by making, thus, work with it faster and comfortable.


Keyboard shortcuts

Tips & Tricks
Using Keyboard

You can use shortcut keys to choose commands and navigate trough messages.

All windows, edit windows & dialogs
To do this | Press this
Select text fragment | Shift+left or right arrow
Copy the selections and put it on the Clipboard | Ctrl+C or Ctrl+Insert
Insert Clipboard contents | Ctrl+V or Shift+Insert
Cut the selections and put it on the Clipboard | Ctrl+X or Shift+Del
Undo last text action | Ctrl+Z

Edit and main window
To do this | Press this
Select all text | Ctrl+A
Go to previous message | Alt+left arrow ("<")
Go to next message | Alt+right arrow (">")
Delete current message | Alt+Del
Delete all incoming messages | Alt+Shit+Del
Send composed message | Alt+Enter or Alt+S
Toggle AutoAnswer | Alt+A
Minimize main window | ESC
Open Help | F1
Close VypressMessenger | Alt+F4
Navigate trough VypressMessenger | TAB and Shift+TAB
Drop-down user list | F4
Go to VypressMessenger menu | Alt or F10 or Alt+underline letter

Address Book
To do this | Press this
Add new user | Insert
Create new group of users | Ctrl+Insert
Delete selected user or group | Del
Go to selected group | Enter
Modify parameters of selected user | Enter
Go to one level up | Backspace
Activate/Deactivate selected user or group | Space


Address Book

address_book_title.gif (4576 bytes) Address Book Toolbar

The address book is one of the most important components of VypressMessenger. With its help you can quickly and easily get access to addresses of your friends and familiar, organize them in various groups, relieve yourselves of undesirable contacts and comrades, which have "tired" you, etc.

Open Address Book

To open Address Book, you can take advantage of the appropriate item of the menu View, or use the button on the Toolbar. After any of these actions you will see here this dialog:

Address Book Dialog

Thus in heading of a window of dialog the amount of the users and groups in the current group is written. In the top the dialog is located the dropping out list of the users groups and toolbar. On the right below there is a button of an exit from dialog - Close.

Specify an element, interesting for you, of this dialog for reception of the additional information about it.

Adding new user

To add the new user in the Address Book, you can use two ways.

1) Press the button New User ( New User ) The toolbar in dialog of the Address Book or key Insert. After that the following dialog will appear:

Adding new user

In this dialog, it is necessary to you to enter the following information:

User name: | In this line, it is necessary to you enter a nickname for the again created user (or his present name - all completely depends on your desire). Maximal length of a name of the user can be 255 symbols, however we not recommend to make a name too long, since it will be not completely displayed in the list of a choice of the users in the main VypressMessenger window. In a name of the user, it is forbidden to enter symbols " \/: *? " < > |;" (point from a point).
Host name: | In this line, it is necessary to enter the address of the user. Since VypressMessenger uses TCP/IP protocol, it is necessary to enter the IP-address (for example, 193.234.45.13). However, if you use DNS (for example in Internet), it is possible to enter domain name (for example dezcom.mephi.ru). Besides in a local network Microsoft you can use as addresses a name of the computer from "Network Neighborhood".
Group: | In this list you can choose group in which the user will be created, when you will press the button Add, or where it will be displaced, if you will press the button Modify (button Modify is active only if you have come in this dialog by double clicking on the available user or by pressing a key Enter). By default in this list the current group is always chosen, and if you do not have any group - which the user is created outside of any group (Outside Any Group).

2) [image] The second way is easier, but they can take advantage only if you want to add in Address Book the sender of the incoming message.

To add the sender of the current message in Address Book, choose from the menu Message item Add sender to... and further choose or name of group, available in Address Book, of the addresses, or choose one from standard items of the menu:

Outside Any Group | At a choice of this item new of the user will be created outside of any group and at once will occur in the dropping out list of a choice of the addresses. Thus, it is meaningful to add only users with which you rather regularly are going to write.
Junk Senders List | At a choice of this item the user will be added in inactive group "Junk Senders" (senders of unwanted messages). If you have removed this group (and it is automatically created at installation of the program) - that it again will be created. Thus you can quickly and it is simple add of the sender of the received message in number of the people, from which you will not receive the messages (" the black list "), until then while independently do not remove them from group Junk Senders.

At a choice of any group from the list, the new user will be created in the chosen group. In case in Address Book already there is a user with the same name, as well as the sender of the current message will be requested from you in addition confirmation on change of the address of the user.

Confirmation of user address overwriting

Change of the information about the user

To change the information on any user (for example his address or nickname) from Address Book, it is necessary to you to choose him with the help of the mouse or keyboard, and then to click on him two times or to press a key Enter. Thus, you will get in dialog similar to dialog of creation of the new user, except that now will be accessible to you the button Modify.

Creation of new group of the users

The creation of groups of the users is an opportunity that it can to you be necessary if you rather actively correspond with the friends and colleagues, using VypressMessenger. Generally, if you in Address Book have of addresses of the users and you to not have not enough periodically to send the message only elected from them, you quite can do without and creation of groups. But if you want to achieve the greater flexibility in ways of sending of the messages, or you have a lot of friends incorporated by various interests - of group it that can essential facilitate to you use VypressMessenger.

To create new group press the button Add New Group ( Add New Group) on toolbar in Address Book dialog or combination of keys Ctrl + Insert. The given button will inaccessible if you already are in any group (VypressMessenger does not suppose an enclosure of groups). In this case it is necessary to you to return on one level upwards by pressing the button Up One Level ( Up One Level), or key Backspace, or by choosing from the list of groups item Outside Any Group.

After pressing the button the group with a name by default My Group (or My Group1 will be created, if My Group already exists etc.), for which it is necessary to you to enter a new name (action practically are completely similar to creation of a new folder in Windows Explorer)

In a name of the group, it is forbidden to enter symbols " \/: *? " < > |;".

The name of group can not be longer than 255 symbols.

Now to add the new user in the created group proceed in it (by double clicking on it, or by pressing a key Enter) and further be guided by item "Adding new user".

Removal of the user or group of the users

To remove the user or group allocate them with the help of the mouse or keyboard and press the button Remove Item ( Remove Item ) The panel of tools in Address Book dialog or key Del on the keyboard. Thus, the additional confirmation will be requested from you.

ATTENTION! At removal of group will be non-recoverable the addresses of all users are lost which were only in this group. Be attentive!

Navigation between groups

To proceed from any group in anyone another to you it is necessary or:

  1. To choose necessary group to you it is necessary or with to double-click on group, interesting for you or to choose interesting group with the help of the keyboard (using keys Tab, arrows upwards and downwards) and to press a key Enter. This way is convenient for applying when you are not in any group.
  2. Alternatively, to choose group, interesting for you, from the Dropping list at the top of a window.

To return upwards from any group press the button Up One Level ( Up One Level), or a key Backspace, or choose from the list of groups item Outside Any Group.

Deactivating and activating of the users (for what check-box are necessary)

In Address Book the powerful mechanism for the control of the rules of acceptance of the messages is stipulated. The access to opportunities for an interdiction to any user (or group of the users) to send you the message, occurs thanking switches (check-boxes) near to a name of each user (group). Depending on a condition of these switches, the following situations are possible:

The switch glad with a name of group is switched-off (group is deactivated) | In this case, messages from any of the members of this group will not be displayed. Pay attention, if you disconnect at yourselves reception of the messages from any of the user or group, the message will not be simple at you to be displayed (and if in dialog of a filtration the option of record in a file is included, the message will be written down in a file), but user its sent in any way it can not determine (i.e. the sending program will inform that the message successfully has reached). Besides the switching-off has a priority before inclusion, i.e. if the user with the given name somewhere is switched off, the message from it will not be shown, even if in any other group it is included. Besides, the name of this group will not be displayed in the list of a choice of the addressees in the main window of the program.
The switch near to a name of group is on (group is active) | The messages from all not switched-off members of group will be displayed in a normal mode.
The switch near to a name of the user is switched off (user is deactivated) | The messages from the given user to be displayed will not be. Besides, the name of this user will not be displayed in the list of a choice of the addressee in the main window.
The switch near to a name of the user is on (user is active) | If this user is not deactivated in any other group, the messages from him are displayed, and if he to be in Outside Any Group, his name, besides occurs in the list of a choice of the addressees in the main window of the program.

About other ways of prevention of reception of the undesirable messages, and in more detail about system of a filtration of the messages in VypressMessenger, you can read in section about settings of Filtration dialog.


Menus & Toolbar

The VypressMessenger menu contains of four sections - Message, Edit, View and Help. With the help of the menu, you can receive access to all opportunities of the program.

Besides, the most necessary commands are born on VypressMessenger toolbar. You can arrange it there where it will be convenient (above or in the bottom of a window, or in general outside it).

The following commands (from left to right) are born on toolbar:

Previous | Go to the previous message
Next | Go to the next message
Delete | Delete the current message
Cut | Deletes selected data from the message and moves it to the clipboard.
Copy | Copies selected data from the message to the clipboard.
Paste | Pastes data from the clipboard into the text of current message.
Address Book | Open Address Book dialog
About | Displays the copyrights, version number and registration information of this application.

This section of help system is devoted to the description of work of commands of the menu and panel of tools


Message Menu

This menu are assembled the functions carrying to messages management - navigate between messages, removal, etc. Below all of them are given by way of their arrangement in the menu (from above downwards):

Previous | Shortcut: Alt+left arrow
On this command the transition to the previous received message is carried out. I.e. in the top part of the main window of the program the message is displayed which was received before what is displayed now, and in the bottom window of input there is a text already prepared for the answer (i.e. marked by symbol " > ") (if you something have entered in the bottom window and have not sent yet or have not removed the entered text, the text of the message in it to occur will not be). The given command is inaccessible, if the very first message is already displayed, or if there is only one message.
Next | Shortcut: Alt+right arrow
On this command the transition to the following received message is carried out. I.e. in the top part of the main window of the program the message is displayed which was received after displayed now, and in the bottom window of input there is a text already prepared for the answer (i.e. marked by symbol " > "). The given command is inaccessible, if last message is already displayed, or if there is only one message.
Delete | Shortcut: Alt+Delete
This command deletes the message displayed in the current moment in the top window of the program. Pay attention that the given operation cannot be cancelled and any confirmations will not be requested! After removal of the message, the transition to the previous message will be carried out, if it is present, or to the following message, if the very first message leaves. If you delete sole stayed the messages, the automatic minimization of the main window of the program - for this purpose is possible it is necessary to include the appropriate option in dialogue of adjustment of the interface VypressMessenger (by default it is switched - off).
Add sender to... |
The given command is intended for fast addition of the sender of the current message in the Address Book. In more detail about it is written in the description of functions of the Address Book. The given command is inaccessible, if in the current moment there are no messages.
Discard all messages | Shortcut: Alt+Shift+Delete
The given command deletes all messages, stored in the current moment. As thus it is possible simultaneously and for ever to remove a plenty of the information, in addition will be requested from you confirmation of this operation.
Exit | Shortcut: Alt+F4
This command closing VypressMessenger and termination acceptance of messages. Irrespective of a condition of the switch in Interface Preferences dialog of the program the exit will be carried out at once and without confirmations.


Menu Edit

The Edit menu offers the following commands:

Undo | Shortcut: Ctrl+Z
Reverse previous editing operation.
Cut | Shortcut: Ctrl+X or Shift+Del
Deletes data from the active text area and moves it to the clipboard.
Copy | Shortcut: Ctrl+C or Ctrl+Insert
Copies data from the active text area to the clipboard.
Paste | Shortcut: Ctrl+V or Shift+Insert
Pastes data from the clipboard into the active text area.
Select All | Shortcut: Ctrl+A
Selects all the text in the active text area.


View Menu

The View menu offers the following commands:

Toolbar
Toolbar is On
Toolbar is Off

This menuitem show or hide the toolbar in the main VypressMessenger window. You can hide the toolbar and use the program without it.

Status Bar
Status Bar is On
Status Bar is Off

This menuitem show or hide status bar. If you think that you don't need additional information from Status bar (such as, message sending time, process information, errors, etc.) you may hide status bar and use program without it.

Address Book...
This menuitem open Address Book. In more detail about its functions you can read in the appropriate section.
Preferences
This menuitem show dialog Preferences. Traymenu
Popup when incoming
Enable popup when incoming message, if you prefer to keep the program minimized. This option, when enabled, causes VypressMessenger to restore itself upon receiving a new message. If unchecked, the program remains minimized it already so. This item is disabled by default.

This switch is ignored, if AutoAnswer is on.


VypressMessenger Settings

You may start using VypressMessenger immediate after installation without changing any options, and at once to begin work. However, with the help of adjustments, described in this section, you probably will make work with VypressMessenger more simples convenient personally for you.

VypressMessenger Preferences Dialog


General

Page General - click for details

General
*** User Information ***
Your Full Name: In this line you can enter a name or nickname, with which your messages (usually this your full name or second name) will be marked. The given name will be written in line "Message from.. " Of the messages, sent by you. By default, in this to the graph the name is recorded which you have entered for want of to installation VypressMessenger.
Your System Name: In this line it is necessary to you enter a name of your computer. The given name will occur in line of input of the address, for want of reception of the messages from you. In the future versions, probably, this name will be used also for any other objectives, therefore it is recommended to keep it by such, to what it is written by default, i.e. conterminous with by the name of your computer.
Your AutoSignature: In this line you can enter a line, which will be automatically added to all messages, sent by you, (usually it is any cheerful signature...)
*** Network Settings ***
TCP/IP Port: In this line you can enter a TCP/IP port, which will use VypressMessenger.

To understand, that such of TCP/IP a port, imagine, that to each person have allowed to select some last digits in number of the telephone - so that in this situation to ring up the person, it is necessary to know, what digits it has selected. Or it is simples to all people to select identical digits. Just so and a TCP/IP port - you can select any number from 1 up to 65535 (however numbers up to 1000 to use it is not recommended), but then, that you could send the message, the person should use it sending just the same number of a port. Or you can use number by default and nothing to change (it is variant it is recommended). Number 7777 is used by default in programs VypressMessenger and NetPopup.

You can interchange this value for safety reasons (that you could be written only by insiders), or if it requires your system manager.
Delay, ms: This parameter sets a slice of time in milliseconds (one thousand second) during which VypressMessenger will try to send the message. If this number will appear too little - VypressMessenger will not have time to send the message, if is too great - probably you will wait too lonely when to wait is useless.

The recommended number for use in a local network (is installed for want of pressing the button " LAN " - 3000 milliseconds (3 seconds), and for Internet - 60000 milliseconds (1 minute).


Interface

Page Interface - Click for details

 | Interface
*** When you press close program button *** You can select the type of response on pressing of the button of closing of the program
Ask confirmation for close program |  | The additional confirmation of closing of the program will be requested from you.
Minimize window |  | The button of closing of the program will work as well as the button of minimization. To leave from the program to you it is necessary to take advantage of the Message\Exit choice.
Close program without prompting |  | The program will be closed without additional confirmations.
***************************************
Don't display 'OK' if send successfully |  | The inclusion of this option will cause that VypressMessenger will not show the window if the message successfully has reached a target. In this mode the windows with the information on errors will be mapped only. Besides the message "Message has been send successfully! " will occur in status bar.
Minimize program when last message deleted |  | The switching-on this option will cause that the VypressMessenger's main window will be minimized for want of deleting of the last message.
Play this sound when new message arrived: |  | In this item you can include possibility to lose a sound for want of obtaining of the new message and also to indicate the file (with the .wav extension), which will for want of it be lost. If you do not have sound card, the signal will be output through a built-in system speaker.


Filtering

Page Filtering - click for details

Filtering
*** Rules for messages filtering ***

This page is intended for such high-power possibility VypressMessenger as filtering of the messages, i.e. possibilities to not show some messages falling under specific parameters. As far as we know, VypressMessenger as of today unique of the similar class of programs capable to filter the messages on an input any of a word, to filter the duplicated messages and messages from the unknown users. In case any message is filtered, it is not simple mapped at you, but the program, sending it, will consider, that the message successfully has reached. VypressMessenger allows you to use one or several following types of filtering:

Filtering on entry any of a word:

This type of filtering allows to not show the messages containing any word. To take advantage of this possibility, it is enough simple to enter words of the message with which you do not wish to see in the upper window of input on this page, dividing their comma or translation on this line. The register of words entered in this dialogue is not important.

Filtering of the duplicated messages:

This type of filtering allows mapping only first from the several contract of the absolute identical sent messages. For inclusion of this type of filtering it is necessary to you simple to include the appropriate switch on this page. The given type of filtering implements simples matching of the text of the come message with the text of the message, displayed in the present situation. In case of coincidence the come message is not mapped. So that if you delete the message earlier, than you one more will come precisely same, the come message will be again displayed. We recommend to not delete at once message, and to do it for want of accumulation of the several various messages.

Filtering of the messages from the single users from an address book:

This type of filtering allows to not accepting the message from deactivated users. Look in section "Address Book" more in detail.

Filtering of the messages from the users not brought in an address book:

This type of filtering allows to not accepting the message from the users not located in your address book. The appropriate switch on this page includes the given type of filtering. Pay attention, that not the address of the sender and availability of record in an address book conterminous to the system name of the sender is compared. It is caused by that there are dynamic IP-addresses, and also possible support of the several protocols in following versions VypressMessenger. To add the person in an address book from it by the system name it is easiest to take advantage of the appropriate Message choice.
Don't display duplicated messages This switch includes or switches off filtering the duplicated messages.
Allow receive message(s) only from Address Book-know users

 The given switch includes filtering the messages from the users not brought in your address book.
Save outfiltered message(s) to file:

 This switch allows saving the not displayed (filtered) messages in the file, selected by you, so that you then could with them be acquainted. The given file is a plain text file, approximately such sort:
< ... >

*******************************************

Duplicated Message

*******************************************

February 27, 1998, Friday, 3:26:01, 3:26:01

Message from Popov Pavel to < All Users >.

REJOIN!!!!!!!!!!!!

/ Woodpecker /

*******************************************

Message with string "SURE"

*******************************************

February 27, 1998, Friday, 3:26:01, 3:26:01

Message from Vyatkin to SAM_TAKOI/1.0.0.1.

are you sure?

*******************************************
< ... >

I.e. as you see a format of record the following: the separator (characters " * "), then header with the indication of the reason, on which given message has got in this file, then message.

By default the given possibility is included also all filtered messages are written in the outfiltered.txt file in a directory of start VypressMessenger.


E-mail

Page E-mail - click for details

E-Mail
*** Mail Notifications Settings ***

This page is intended for setting VypressMessenger on periodic check for new mail in your mailbox. In current version VypressMessenger can check mail only on POP3-servers, without the ciphered passwords. We planing support for APOP and ciphered passwords, SSL and IMAP4 servers in the future versions of the program.
Check for new mail every nn minute(s): This option specifies whether to check you e-mail server for new messages at the specified interval of minutes. This switch is inaccessible, while you have not entered correct parameters into a field of input of the first address and password.

After inclusion of this switch, through the interval, given by you, in minutes (from 1 minute till 2 hours) VypressMessenger will in a background connect to your POP3-server, in a case if to you the new mail has come, in notify area on taskbar (near to hours where also to be a VypressMessenger icon) to appear an additional icons:

You have 2 new messages in mailbox kostya@vypress.ru

If you set the check of mail in two mailboxes, the same icon is exact, but with figure "2" will occur in case of presence of mail in the second box.

If you click the right button of the mouse on this badge to appear the context menu:

Context menu for mail icon

from which you can start the mail program (Read Mail - that most what to click two times on this icon. This item will be inaccessible, if you have not indicated the mail program in customizations of this dialog), to stop automatic check of new mail (Don't check anymore), to call this dialog of set-up of check of mail (Settings), or simple to hide this icon.

In case the server in yours of e-mail the address is given incorrectly, or for any other reasons to it was not possible to be connected, or there were any other problems for want of to check of mail, in same area other badge will be output:

Unable to connect with mailserver badguy@badhost.org!

The pop-up help at this icon contains the information what is concrete happened - the POP3-server is not found (as in case on a figure above - it was not possible to incorporate from servers badhost.org), the password, or any internal error TCP/IP is incorrectly entered.
Play sound when new messages arrived: For want of inclusion of this option VypressMessenger will lose a system sound New Mail Notification, if to you the new mail has come, and system sound Exclamation, if there was an error during check of mail.

Pay attention - the system sounds are reproduced! The sound the Microsoft Outlook Express program (for the same objectives) uses as New Mail Notifications. To change this sound to you it is necessary to take advantage of "Control Panel" and icon "Sounds"

Changing "New Mail Notification" Sound

If you do not have sound card, in both these cases the system sound through a built-in system speaker will be reproduced.
E-mail Program: Here you can indicate the program for reading the computer mail, which will be started, if you twice click on a badge of new mail. If you will not indicate the program for reading e-mail, the double click on this badge will be equivalent to a choice of the "Hide mail icons" choice.

TIP: if you want to use Microsoft Internet Mail as the mail program, enter here I follow a line:

"C:\WINDOWS\EXPLORER.EXE" /root, C:\WINDOWS\Internet Mail. {89292102-4755-11cf-9DC2-00AA006C2B84}

Naturally, by replacing C:\WINDOWS in name of a directory, in which at you Windows is installed.
*** Mail Server(s) Settings ***
First E-mail Address: In this line you owe purely and enter the address, on which the new mail will be checked up. Pay attention! In given the field of input to you is necessary to enter the address of sort pop3 _ user@pop3 _ host.domain. In most cases, it will be simples your usual mail address. Besides while you will not enter even formally correct (i.e. as a minimum, sort a@b) the address in this the graph, of all remaining set-ups on this bookmark will be inaccessible!

Complex example: as was said, in most cases in this line it is necessary to enter your usual mail address. However, there are also more difficult cases. Here, for example, as the mail at me is adjusted.

To all friends and familiar I speak here such mail address - vyatkin@usa.net (write to me!). It is a charge-free mailbox created on the server http://www.netaddress.usa.net, on which there is no POP3-server. However, there is a possibility of delivery mail on other address - than I both has taken advantage and has indicated transfer of mail address spider@dezcom.mephi.ru . On a server dezcom.mephi.ru there was POP3 a server and I have indicated in the given line the address spider@dezcom.mephi.ru and VypressMessenger of the beginnings normally to check up mail.

A bit later, however at me have interchanged a name of the user on a server dezcom.mephi.ru with spider on kassad (small whim of the system manager), however saving a name spider as an aliace of the user kassad. I.e. to catch on a Unix-server as spider I any more could not, but the mail on the address spider @dezcom.mephi.ru fell to the address kassad@dezcom.mephi.ru , which to me now should be indicated in the line First E-mail Address in VypressMessenger.

But it yet all... A bit later, from a server dezcom.mephi.ru, for safety reasons (next small whim of the system manager) have removed a POP3-server and have installed it on a server pop3.dezcom.mephi.ru, not on-line to Internet. So that to continue to receive mail through a POP3-server, I have adjusted the mail on a server dezcom.mephi.ru so that it was remitted on the address kassad@pop3.dezcom.mephi.ru - here this address now and stands at me in given the graph VypressMessenger. For want of it, I shall remind, mail everyone send me on the address vyatkin@usa.net .

Password: In this the graph it is necessary to you to enter your password on a POP3-server for the first mailbox.
Secondary E-mail Address: For your convenience, we have entered possibility to check up availability of new mail at once in two mailboxes is it happens it is necessary, if you have, for example, working and personal letter box, or it is simples behind one computer two persons under the same name of the user periodically work.

To include check of mail in two boxes, it is necessary to you to include the switch near to this item and to enter second of e-mail the address, is exact in the same sort as well as first.
Password: In this the graph it is necessary to you to enter your password on a POP3-server for the second mailbox.
Check Now! This button is intended for fast validation of your customizations in this dialogue. For want of it pressing the check of availability of new mail happens, just so as well as in case when it happens through a specific slice of time.

Attention! If you have set the incorrect mail address, or if there were still any errors, you receive the message that you do not have new mail, and the message on an error will be output by a standard way.


Help Menu

This menu accompanied command that help you find more information about VypressMessenger.

Contents and Index Shortcut: F1
This command call this help
Visit VypressMessenger Web Site
This command starting your default web browser and open VypressMessenger Home Page.
Register...
This command allow you to register VypressMessenger with registration code received from VyPRESS Research. We hope you use this command anytime.

Не забудьте зарегистрировать VypressMessenger!

Detailed information about registration process located in "Register your copy of VypressMessenger".

You may start registration process at any time when VypressMessenger working. If registration failed, you may continue working in unregistered mode. If registration complete successfully you may found registration if in About dialog.
About...
This command display dialog with information about VypressMessenger version and build number, copyrights and registering information.

about.JPG (40175 bytes)


Using accessibility features

Using accessibility features in VypressMessenger

In addition to Microsoft Windows, Windows NT, and Windows 95 accessibility products and services, the following features make VypressMessenger more accessible for people with disabilities.

Using sounds

If you have cognitive disabilities, you may want to clear this check box to prevent distractions. If you are blind, you may want to clear this check box or selectively download sounds so that they do not interfere with a screen reader reading text aloud.

Resizable main windows of VypressMessenger

You may resize main window of VypressMessenger as you needed. It possible to display only window with incoming or outgoing messages.

Keyboard access

All features in Internet Explorer are accessible to you by using the keyboard or the mouse. For more information about keyboard access, look up "keyboard shortcuts" in the Help Index.

Work pretty good with large fonts and high contrast

VypressMessenger extensively tested on large fonts and high contrast modes to make you work as comfortable as possible.